﻿using igGrid.Models;
using Infragistics.Web.Mvc;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;

namespace igGrid.Controllers
{
    public class HomeController : Controller
    {

        [GridDataSourceAction]
        public ActionResult Index()
        {
            var viewModel = new CustomersViewModel
            {
                //IEnumerable of Customer Objects
                Customers = GetCustomers(),

            };

            return View(viewModel);

        }

        private IEnumerable<Customer> GetCustomers()
        {
            return new List<Customer>
            {
                new Customer { CustomerID="1", CompanyName="Google", ContactName="John", Address="Address 1", City="Berlin"},
                new Customer { CustomerID="2", CompanyName="Microsoft", ContactName="Bob", Address="Address 2", City="London"},
                new Customer { CustomerID="3", CompanyName="Google", ContactName="Charles", Address="Address 3", City="Berlin"},
                new Customer { CustomerID="4", CompanyName="Apple", ContactName="Pablo", Address="Address 4", City="Madrid"},
                new Customer { CustomerID="5", CompanyName="Google", ContactName="Kevin", Address="Address 5", City="London"},
                new Customer { CustomerID="6", CompanyName="Microsoft", ContactName="Otto", Address="Address 6", City="Berlin"},
                new Customer { CustomerID="7", CompanyName="Apple", ContactName="David", Address="Address 7", City="Madrid"},
                new Customer { CustomerID="8", CompanyName="Microsoft", ContactName="Merlin", Address="Address 8", City="Berlin"},
                new Customer { CustomerID="9", CompanyName="Google", ContactName="Ben", Address="Address 9", City="London"},
            };
        }
    }
}